=== debian/control ===
Source: cpp-jwt
Section: libdevel
Priority: optional
Maintainer: Andrea Pappacoda <tachi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
Build-Depends-Indep:
 cmake (>= 3.14),
 libgtest-dev <!nocheck>,
 libssl-dev,
 nlohmann-json3-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/arun11299/cpp-jwt
Vcs-Git: https://salsa.debian.org/debian/cpp-jwt.git
Vcs-Browser: https://salsa.debian.org/debian/cpp-jwt
X-Style: black

Package: libcpp-jwt-dev
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libssl-dev,
 nlohmann-json3-dev,
 ${misc:Depends},
Description: JSON Web Token library for C++
 JSON Web Token (JWT) is a JSON based standard (RFC-7519) for creating
 assertions or access tokens.
 .
 cpp-jwt, an header-only C++ library, provides an easy to use API to
 create, encode and decode JWT objects.
