=== debian/changelog ===
cpp-jwt (1.4+ds-4) unstable; urgency=medium

  * d/patches: use find_dependency in CMake Config file
  * d/patches: fix side channel exploitable through timing attack.
    Thanks to Erwan Legrand for the report and the fix!

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 09 Apr 2024 11:14:04 +0200

cpp-jwt (1.4+ds-3) unstable; urgency=medium

  * d/control: mark libcpp-jwt-dev as Multi-Arch: foreign

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 27 Dec 2022 14:31:31 +0100

cpp-jwt (1.4+ds-2) unstable; urgency=medium

  * d/tests/cmake: suppress psABI warning on ARM

 -- Andrea Pappacoda <andrea@pappacoda.it>  Wed, 24 Aug 2022 23:28:11 +0200

cpp-jwt (1.4+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1016833)

 -- Andrea Pappacoda <andrea@pappacoda.it>  Tue, 09 Aug 2022 10:13:41 +0200
