=== debian/tests/control ===
Tests: cmake
Depends: @, g++ | c++-compiler, cmake
