=== debian/changelog ===
cpp-jwt (1.5+ds-1) experimental; urgency=low

  * New upstream version 1.5+ds
  * d/patches: drop upstreamed patches

 -- Andrea Pappacoda <tachi@debian.org>  Sun, 15 Jun 2025 15:06:53 +0200

cpp-jwt (1.4+ds-5) unstable; urgency=low

  * First dgit upload
  * d/control: apply X-Style black
  * d/control: use my @debian.org email address
  * d/control: declare dpkg-build-api = 1
  * d/README.source: document packaging workflow

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 09 Apr 2025 15:53:57 +0200
