=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 		-DCPP_JWT_BUILD_EXAMPLES=false \
 		-DCPP_JWT_BUILD_TESTS=$(test) \
 		-DCPP_JWT_USE_VENDORED_NLOHMANN_JSON=false
-
-execute_after_dh_auto_install:
-	rmdir debian/libcpp-jwt-dev/usr/include/jwt/test
